# Generated by Django 2.0.5 on 2018-05-24 04:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ipl_project', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='deliveries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('innings', models.IntegerField()),
                ('batting_team', models.CharField(max_length=150)),
                ('bowling_team', models.CharField(max_length=150)),
                ('over', models.IntegerField()),
                ('ball', models.IntegerField()),
                ('batsman', models.CharField(max_length=150)),
                ('non_striker', models.CharField(max_length=150)),
                ('bowler', models.CharField(max_length=150)),
                ('is_super_over', models.CharField(max_length=150)),
                ('wide_rund', models.IntegerField()),
                ('bye_runs', models.IntegerField()),
                ('legby_runs', models.IntegerField()),
                ('noball_runs', models.IntegerField()),
                ('panalty_runs', models.IntegerField()),
                ('batsman_runs', models.IntegerField()),
                ('extra_runs', models.IntegerField()),
                ('total_runs', models.IntegerField()),
                ('player_dismissed', models.IntegerField()),
                ('dismissied_kind', models.CharField(max_length=100)),
                ('fielder', models.CharField(max_length=150)),
                ('match_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ipl_project.matches')),
            ],
        ),
    ]
